import request from '@/utils/request'

// 查询考勤班组成员列表
export function listRecord(query) {
  return request({
    url: '/attendance/record/pageList',
    method: 'get',
    params: query
  })
}

// 查询考勤班组成员详细
export function getRecord(userId) {
  return request({
    url: '/attendance/record/' + userId,
    method: 'get'
  })
}

// 新增考勤班组成员
export function addRecord(data) {
  return request({
    url: '/attendance/record',
    method: 'post',
    data: data
  })
}

// 修改考勤班组成员
export function updateRecord(data) {
  return request({
    url: '/attendance/record',
    method: 'put',
    data: data
  })
}

// 删除考勤班组成员
export function delRecord(userId) {
  return request({
    url: '/attendance/record/' + userId,
    method: 'delete'
  })
}
